Name:       beakerlib
Summary:    A shell-level integration testing library
Version:    1.31.1
Release:    1
License:    GPLv2
BuildArch:  noarch
URL:        https://github.com/%{name}/%{name}
Autoreq:    0
Requires:   nfs-utils
Requires:   /bin/bash
Requires:   /bin/sh
Recommends: /usr/bin/python3
Recommends: /usr/bin/perl
Requires:   grep sed iproute coreutils tar gzip
Requires:   util-linux which dnf-utils
Requires:   /usr/bin/bc /usr/bin/time
Requires:   (wget or curl)
Suggests:   wget
Recommends: python3-lxml
Recommends: /usr/bin/xmllint
Conflicts:  beakerlib-redhat < 1-30

BuildRequires: /usr/bin/pod2man perl-generators util-linux

Source0:    https://github.com/beakerlib/beakerlib/archive/%{version}/%{name}-%{version}.tar.gz

Patch1:  beakerlib-adapt-product-feature-to-local-release-version.patch

%package_help

%prep
%autosetup -p1 -n %{name}-%{version}

%build
make build

%install
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?_tmpfilesdir: %global _tmpfilesdir %{_prefix}/lib/tmpfiles.d/}
rm -rf $RPM_BUILD_ROOT
make PKGDOCDIR=%{buildroot}/%{_pkgdocdir} DESTDIR=%{buildroot}/usr install
mkdir -p $RPM_BUILD_ROOT/%{_tmpfilesdir}
touch ./beakerlib-tmpfiles.conf
cat >beakerlib-tmpfiles.conf<<EOF
x /var/tmp/beakerlib-*
EOF
install -m 0644 ./beakerlib-tmpfiles.conf $RPM_BUILD_ROOT/%{_tmpfilesdir}/%{name}.conf

%description
The BeakerLib project means to provide a library of various helpers, which
could be used when writing operating system level integration tests.

%files
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/xslt-templates
%{_datadir}/%{name}/dictionary.vim
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/xslt-templates/*
%{_bindir}/%{name}-*
%config %{_tmpfilesdir}/%{name}.conf

%package vim-syntax
Summary: Files for syntax highlighting BeakerLib tests in VIM editor
Requires: vim-common
BuildRequires: vim-common

%description vim-syntax
Files for syntax highlighting BeakerLib tests in VIM editor

%files vim-syntax
%{_datadir}/vim/vimfiles/after/ftdetect/beakerlib.vim
%{_datadir}/vim/vimfiles/after/syntax/beakerlib.vim

%files help 
%{_mandir}/man1/%{name}*1*
%dir %{_pkgdocdir}
%dir %{_pkgdocdir}/examples
%dir %{_pkgdocdir}/examples/*
%doc %{_pkgdocdir}/*

%changelog
* Fri Jul 12 2024 dillon chen <dillon.chen@gmail.com> - 1.31.1-1
- update to version 1.31.1

* Thu Nov 16 2023 zhangxianting <zhangxianting@uniontech.com> - 1.29.3-2
- fix modifying beakerlib deja summary execution

* Fri Jul 14 2023 xujing <xujing125@huawei.com> - 1.29.3-1
- update version to 1.29.3

* Mon May 29 2023 yixiangzhike <yixiangzhike007@163.com> - 1.29.1-2
- adapt product feature to local release version

* Fri Jul 22 2022 lilong <lilong@kylinos.cn> - 1.29.1-1
- Update to 1.29.1

* Tue Jan 5 2021 Ge Wang <wangge20@huawei.com> - 1.18.1-2
- Modify Source file

* Sat Aug 1 2020 zhangxingliang <zhangxingliang3@huawei.com> - 1.18.1-1
- Package init
